Param (
    [string]
    $Name,

    [Parameter(ParameterSetName="PSCredential")]
    [ValidateSet("Secret","Simple")]
    [string]
    $Type,

    [string[]]
    $Role
)


        New-PSUVariable -Name $Name -Type $Type -Database -Role $Role
